#plane of earth fight 1
from eventAPI import *
from APIUtils import *

rtpoearthFlag1=0

def fireEvent(e):
   global rtpoearthFlag1
   rtpoearthFlag1 = getTag(e, "rtpoearthFlag1")
   if (rtpoearthFlag1 == 1):
      return 1
   else:
      fightThem(e)

def fightThem(e):
   combatRet = combat(e, [("Stone Beast", 8, 3, 20), ("Earth Elemental", 8, 3, 20)])
   if (combatRet == 1):
      wonFight(e)

def wonFight(e):
   global rtpoearthFlag1
   rtpoearthFlag1 = 1
   setTag(e, "rtpoearthFlag1", rtpoearthFlag1)
